.text-primary {
    color:#00558f !important; /*#0084B4!important;*/ 
}

.text-secondary {
    color: #17a2b8 !important; /*#0084B4!important;*/ 
}    

.btn-outline-primary {
    color: #5664d2;
    border-color: #007bff;
}

.btn-outline-primary:hover {
    color: #fff;
    background-color: #00558f;
    border-color: #00558f;
}
.button{    
    border-radius: 10px!important;
    padding: 10px 20px!important;
}

.button--primary {
    color: #fff;
    background-color: #21689a;
    border-color: #007bff;
    box-shadow: none;    
    border: 2px solid var(--btn-color);
    margin-bottom: .5 rem!important;
    /*margin-top: .5 rem*/
}

.button--primary:hover {
    background-color: #00558f!important;
    color: #fff;    
}


.button--secondary {
    border: 2px solid #ddf3ff!important;
    color: #343a40!important;
    margin-bottom: .5 rem!important;
    margin-top: .5 rem!important;
    padding-left: 1.8rem!important;
    padding-right: 1.8rem!important
}

.button--black,.button--secondary {
    background-color: transparent!important;
}

.button--black {
    border: 1px solid #25d366!important;
    border-radius: 300px!important;
    display: block;
    font-size: 14px;
    font-weight: 500;
    height: auto;
    padding: 1.8rem 16px!important
}

.button--simple {
    background-color: transparent!important;
    border: 1px solid #25d366!important;
    color: #25d366!important;
    /*margin-bottom: .5rem!important;*/
    /*margin-right: 1.4rem!important;*/
    margin-top: .5rem;
    padding-left: 1.8rem!important;
    padding-right: 3rem!important
}

.button--simple:hover {
    background-color: #25d366;
    border-color: #25d366!important;
    box-shadow: none;
    color: #0b4521!important
}

.button--secondary-white {
    background-color: transparent!important;
    border: 1px solid #fff!important;
    border-radius: 12px;
    color: #fff!important;
    margin-bottom: .5rem!important;
    margin-top: .5rem!important;
    padding-left: 1.8rem!important;
    padding-right: 1.8rem!important
}

.button--secondary:hover {
    border-color: #00558f!important;
    color: #00558f!important;
    background-color: #7ac4c4!important;

}



.button--inverted,.button--primary {
    margin-bottom: .5rem!important;
    margin-top: .5rem!important;
    padding-left: 1.8rem!important;
    padding-right: 1.8rem!important
}

.button--inverted {
    border: 1px solid #fff!important
}

.button--inverted:hover {
    background-color: #9c86f9!important;
    border: 1px solid #9c86f9!important
}

.button--inverted:focus {
    border: 1px solid #fff!important;
    outline: none
}

.button:focus,.hs-button:focus,.tabs__tab[aria-selected=false]:focus,.tabs__tab[aria-selected=true]:focus,button:focus,input[type=submit]:focus {
    outline: none!important
}

.tarjeta {
    /* width: 300px;
    height: 180px;
    margin: 20px;
    padding: 16px;
    background-color: white;
    border: 1px solid #ccc; */
    border-radius: 12px;
    box-shadow: 0 2px 6px rgba(0, 0, 0, 0.1);
    transition: transform 0.3s ease, box-shadow 0.3s ease, border-color 0.3s ease!important;
}

.tarjeta:hover {
    transform: scale(1.04);
    box-shadow: 0 10px 25px rgba(0, 123, 255, 0.15)!important;
    border-color: #007bff;
}

.bg-success {
    background-color: #1cbb8c !important;
    font-size: medium;
    font-weight: 300;
    color: #fff !important;     
}

.bg-danger {
    background-color: #dc3545 !important;
    font-size: medium;
    font-weight: 300;
    color: #fff !important;     
}

.bg-ini {
    /*background-color: #3e8391 !important;*/
    background-color: #007bff !important;
    font-size: medium;
    font-weight: 300;
    color: #fff !important;    
}

.bg-primary {
    /*background-color: #3e8391 !important;*/
    background-color: #5c767b !important;
    font-size: medium;
    font-weight: 300;
    color: #fff !important;    
}

.bg-info {
    background-color: #17a2b8 !important;
    font-size: medium;
    font-weight: 300;
    color: #fff !important;    

}

.bg-warning {
    background-color: #e6ad00 !important;
    font-size: medium;
    font-weight: 300;
    color: #fff !important;    

}

.cur-titles {
    width: 200px;
    height: auto;
    transform: skew(-18deg);
    background: #00558f;/*#2f557f;*/
    color: #007bff;
    font-weight: 800;
    /* font-size: 1rem; */
    text-align: center;
    vertical-align: baseline;
    line-height: 37px;
    border-radius: 7px 0;
    margin: 10px;
    border-style: solid;
    border-color: #007bff;
    border-width: 1.5px;    
}

.cur-titles h3 {
    color: #ffffff !important;
}

.cur-titles h4 {
    color: #ffffff !important;
}

hr {
  height: 1px;
  background-color: #8595bf!important;
}

.tarjeta-leccion {
    /* width: 300px;
    height: 180px;
    margin: 20px;
    padding: 16px;
    background-color: white;
    border: 1px solid #ccc;
    border-radius: 12px; */
    box-shadow: 0 2px 6px rgba(0, 0, 0, 0.1);
    transition: transform 0.3s ease, box-shadow 0.3s ease, border-color 0.3s ease!important;
}

.tarjeta-leccion:hover {
    transform: scale(1.01);
    box-shadow: 10px 10px 25px rgba(0, 123, 255, 0.20)!important;
    border-color: #007bff;
    background: aliceblue;
}

.progress-circle {
    position: relative;
    width: 80px;
    height: 80px;
    border-radius: 50%;
    background: conic-gradient(#0ea5e9 0% 0%, #e9ecef 0% 100%);
    display: flex;
    align-items: center;
    justify-content: center;
    font-weight: bold;
    color: #212529;
}

.progress-circle span {
    position: absolute;
    font-size: 0.8rem;
}

.custom-checkbox-lg {
    width: 1.5em;
    height: 1.5em;
    margin-top: 0.2rem;
    margin-right: 0.2rem;
}

.form-check-input:checked {
    background-color: #0d6efd;
    border-color: #0d6efd;
}

.form-check-input {
    margin-top: 0.4rem;
    margin-right: 0.5rem;
}

.form-check-label {
    display: inline-block;
    vertical-align: middle;
    margin-left: 1em;
}

.cita-destacada {
  background-color: #ffd47e;
  /*border-left: 4px solid #e74c3c;*/
  border-radius: 0.5rem;
  box-shadow: 0 4px 8px rgba(0,0,0,0.05);
  transition: all 0.3s ease-in-out;
  font-style: italic;
}

.cita-destacada p {
  font-size: 1rem;
  line-height: 1.5;
}

.btn-close {
    background-color: #777c82;
    border: none;
    opacity: 0.7;
    position: relative !important;*/
    margin: 0%!important;
    margin-right: 20px !important;
    border-radius: 15%;
}

.btn-close:hover {
    opacity: 1;
}

#btn-siguiente {
  font-weight: bold;
  font-size: 1rem;
  padding: 0.75rem 1.25rem;
  border-radius: 0.5rem;
  transition: background-color 0.3s ease;
}

#btn-siguiente:hover {
  background-color: #0d6efd;
  color: white;
}

.button--examen {
    border: 1px solid #ffffff!important;
}

.button--examen:hover {
    border: 1px solid #65b6a2!important
}

#sugerencias {
  background-color: #f0f8ff; /* Fondo azul claro tipo AliceBlue */
  border: 1px solid #cce4ff; /* Borde sutil */
  border-radius: 8px;
  box-shadow: 0 2px 6px rgba(0, 0, 0, 0.05); /* Sombra suave */
  max-height: 200px;
  overflow-y: auto;
  position: absolute;
  z-index: 1000;
  padding: 0;
}

#sugerencias .list-group-item {
  background-color: transparent;
  border: none;
  padding: 10px 15px;
  transition: background-color 0.2s ease;
}

#sugerencias .list-group-item:hover {
  background-color: #e0f0ff; /* Color más intenso al pasar el mouse */
  cursor: pointer;
}

nav-background {
    background-color: #ffcf6c;
    border-bottom: 1px solid #dee2e6;
}

.containercurso {
border: 1px solid #d1d2e0;
border-radius: 8px;
display: flex;
flex-direction: column;
max-width: calc(37.5rem + 2 * 1px);
min-width: calc(17.3rem + 2 * 1px);
overflow: clip;
position: relative;
}

.login-logo a {
    color:#3498db;
}
/*verde claro #9cee69*/

.alert-success {
    color: #155724; 
    background-color: #d4edda;
    border-color: #c3e6cb;
    text-align: center;
}

.alert-danger {
    color: #721c24;
    background-color: #f8d7da;
    border-color: #f5c6cb;
    text-align: center;
}

.btn-login-out {
    /*border-top-left-radius: 40px;*/
    border-top-right-radius: 40px;
    border-bottom-right-radius: 40px;
    /*border-bottom-left-radius: 40px;*/
    background: #17a2b8;
    color: #ffffff!important;
    /*font-weight: bold;*/
    border: none;   
    transition: background-color 0.3s ease;
}

.widget-container {
    padding: 20px 20px 20px 20px;
    border-style: solid;
    border-width: 3px 3px 3px 3px;
    border-color: #d5e23e;
    border-radius: 23px 23px 23px 23px;
}

.nav-sidebar > .nav-item {
    >.nav-link.active {
    background-color: #6f7f91!important;
    color: #fff;
    border-bottom: solid 3px #f9bf3b;
}
}

.login-logo, .register-logo {
    font-size: 2.1rem;
    font-weight: 400;
    margin-bottom: .9rem;
    text-align: center;
}
